.field--type-comment {
  margin: 0 3rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 3rem;
  position: relative;
}

.field--type-comment .comments {
  width: 90%;
}

.field--type-comment .forum-sidebar {
  margin: 3rem 0 auto;
  position: sticky;
  top: 0;
}

.comment-commentaire-form.comment-form .btn-primary,
.field--type-comment .comment__new .comment-form .btn-primary {
  --bs-btn-color: none;
  --bs-btn-bg: none;
  --bs-btn-border-color: none;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: none;
}

.comment-form input,
.comment-form .form-textarea {
  border-radius: 0;
}

/* Affiche le vote uniquement sur la page principale */
.node--type-forum .fivestar {
  display: none;
}

.node--type-forum .field--type-comment .fivestar {
  display: block;
}

.field--type-comment
  .forum-sidebar
  div.fivestar
  > form
  > table
  > tbody
  > tr
  > td.rating-table-td {
  font-weight: 500;
  padding-bottom: 1rem;
}

.comment {
  margin: 2rem 0;
  padding: 1rem;
  background-color: var(--bs-cyan);
}

.comment .comment__meta {
  font-size: 1rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0.5rem;
}

.comment .comment-infos a {
  text-decoration: none;
}

.comment .comment-infos {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.field--type-comment .indented {
  margin-left: 3rem;
}

.indented .comment {
  background-color: var(--bs-yellow);
}

[data-drupal-selector='edit-comment-body-0-format'] {
  display: none;
}

.comment-actions ul.inline li:first-child {
  padding-left: 0;
}

.comment .comment__content {
  margin-bottom: 1rem;
}

.simple-page .comment .comment-actions ul.inline li {
  display: none;
}

.comment .comment-actions ul.inline li a:hover {
  text-decoration: none;
  color: var(--bs-blue);
}

@media screen and (max-width: 988px) {
  .field--type-comment {
    margin: 0 3rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 0;
  }

  .field--type-comment .comments {
    width: 100%;
  }

  .field--type-comment .indented {
    margin-left: 1rem;
  }

  @media screen and (max-width: 650px) {
    .comment .comment-infos {
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: inherit;
          -ms-flex-align: inherit;
              align-items: inherit;
    }

    .comment .comment-infos .comment__meta {
      margin-bottom: 0.5rem;
    }

    .comment .comment-infos .comment-actions {
      text-align: right;
    }
  }
}
